Subject: Re: bug#74619: macOS: <ns-show-prefs> displayed as keybinding for \\[customize] on emacs -nw

From: Yoichi Nakayama <[email-masked]>
Date: Fri, 6 Dec 2024 22:46:23 +0900

I think it is not necessary to call `x-setup-function-keys` for emacs -nw,
because the docstring says that it is for graphical frames.
Just moving the `make-non-key-event` calls in `x-setup-function-keys` to the
toplevel of term/common-win.el fixes the problem.

On Wed, Dec 4, 2024 at 11:38 PM Robert Pluim <[email-masked]> wrote:
>
> >>>>> On Wed, 4 Dec 2024 22:53:43 +0900, Yoichi Nakayama <[email-masked]> said:
>
>     >> Right, but OTOH typical terminal setups donʼt allow you to use super
>     >> as a modifier anyway (unless Gerd has a magic recipe).
>
>     Yoichi> It's not true. We can run commands that use super with "C-x @ s" instead.
>     Yoichi> I think there is no way to enter ns-*.
>
> Thatʼs true, Iʼd forgotten about that.
>
> So calling the right bits of `x-setup-function-keys' would fix this,
> but I have no clue where we could call that from. Perhaps we can add a
> "term/ns-common.el" and load that from "loadup.el" when (featurep 'ns)
> ? Except then it would probably end up being called twice when using
> GUI emacs on macOS.
>
> Robert
> --

-- 
Yoichi NAKAYAMA